Get app configuration
curl --request GET \
--url https://api.swapnice.com/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/apps/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"client_id": "<string>",
"client_type": "public",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"allowed_consent_purposes": [
"account_linking"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Apps
Get a partner app
Read app configuration, scopes, and redirect URIs.
GET
/
v1
/
apps
/
{app_id}
Get app configuration
curl --request GET \
--url https://api.swapnice.com/v1/apps/{app_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swapnice.com/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.swapnice.com/v1/apps/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"client_id": "<string>",
"client_type": "public",
"redirect_uris": [
"<string>"
],
"allowed_scopes": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"allowed_consent_purposes": [
"account_linking"
]
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Read app configuration, scopes, and redirect URIs.
Requires
apps:read. The client secret is never returned again.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.
Path Parameters
Response
Application configuration.
Available options:
public, confidential Available options:
active, disabled Available options:
account_linking, personalization, analytics, support, event_enrichment, profile_resolution, measurement ⌘I